new;
library Qreg,pgraph;
setQreg;

cls;

N = 100;
X = rndu(N,2);
Y = 12 + 3*X[.,1] + 5*X[.,2] + .2*rndn(rows(X),1);
tau = 0.05|0.50|0.95|0.75;

output file = qreg1.out reset;

_Qreg_algr = 1;       /* Interior-point method       */
_Qreg_PrintIters = 0; /* Do not print the iterations */
__output = 2;         /* Print the statistics        */
{beta,u_plus,u_minus} = Qreg(Y,X,tau,0);

_Qreg_PrintIters = 3; /* Printing every 3 iterations */
{beta,u_plus,u_minus} = Qreg(Y,X,tau,0);

_Qreg_algr = 2;       /* QP method                   */
{beta,u_plus,u_minus} = Qreg(Y,X,tau,0);

__altnam = "First" | "Second";   /* Use variable names */
{beta,u_plus,u_minus} = Qreg(Y,X,tau,0);

output off;


rndseed 123;

N = 1000;
X = 10*rndu(N,1)-5;
Y = 5 + 2*X + rndn(rows(X),1)*10;
tau = 0.05|0.50|0.95|0.75;
_Qreg_algr = 1;
{beta,u_plus,u_minus} = Qreg(Y,X,tau,0);

xstar = seqa(-5,10/200,201);
q = beta[1,.] + beta[2,.] .* xstar;

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9,6.855,0,0,1);

  fonts("simplex simgrma");

  setwind(1);
    _pdate = 0; _pframe = 0; _pnum = 2;
    _plctrl  = 15; _pltype  = 6; _plwidth = 5; _pstype = 8|9|10|11;
    xlabel("\214X"); ylabel("\214Y");
    xtics(-5,5,1,1);
    ytics(-20,30,10,1);
    _plegstr = "\202t\201 = 5%\000\202t\201 = 50%\000\202t\201 = 95%\000\202t\201 = 75%";

    _plegctl = {2 5 6.5 1};
    xy(xstar,q);

    _plegctl = 0;
	  
  setwind(2);  
    _plctrl  = -1; _pstype  = 3; _psymsiz = 0.4;
    xy(X,Y);

    graphprt("-c=1 -cf=qreg1.ps");

  endwind;

